Package com.io7m.cardant.protocol.inventory.cb

# Record Class CAI1ComparisonSet.Anything<T extends com.io7m.cedarbridge.runtime.api.CBSerializableType>

java.lang.Object
java.lang.Record
com.io7m.cardant.protocol.inventory.cb.CAI1ComparisonSet.Anything<T>

Type Parameters:
  `T` -

All Implemented Interfaces:
  `CAI1ComparisonSet<T>`, `com.io7m.cedarbridge.runtime.api.CBSerializableType`

Enclosing interface:
  `CAI1ComparisonSet<T extends com.io7m.cedarbridge.runtime.api.CBSerializableType>`

public static record CAI1ComparisonSet.Anything<T extends com.io7m.cedarbridge.runtime.api.CBSerializableType>() extends Record implements com.io7m.cedarbridge.runtime.api.CBSerializableType, CAI1ComparisonSet<T>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.io7m.cardant.protocol.inventory.cb.CAI1ComparisonSet

  `CAI1ComparisonSet.Anything<T extends com.io7m.cedarbridge.runtime.api.CBSerializableType>, CAI1ComparisonSet.IsEqualTo<T extends com.io7m.cedarbridge.runtime.api.CBSerializableType>, CAI1ComparisonSet.IsNotEqualTo<T extends com.io7m.cedarbridge.runtime.api.CBSerializableType>, CAI1ComparisonSet.IsOverlapping<T extends com.io7m.cedarbridge.runtime.api.CBSerializableType>, CAI1ComparisonSet.IsSubsetOf<T extends com.io7m.cedarbridge.runtime.api.CBSerializableType>, CAI1ComparisonSet.IsSupersetOf<T extends com.io7m.cedarbridge.runtime.api.CBSerializableType>`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Anything()`
  Creates an instance of a `Anything` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static <T extends com.io7m.cedarbridge.runtime.api.CBSerializableType>
  CAI1ComparisonSet.Anything<T>`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, com.io7m.cedarbridge.runtime.api.CBDeserializeType<T> $deserializeT)`
  Deserialize a value of type com.io7m.cardant.protocol.inventory.cb.Anything.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static <T extends com.io7m.cedarbridge.runtime.api.CBSerializableType>
  void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, CAI1ComparisonSet.Anything<T> $x, com.io7m.cedarbridge.runtime.api.CBSerializeType<T> $serializeT)`
  Serialize a value of type com.io7m.cardant.protocol.inventory.cb.Anything.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Anything

    public Anything()
    Creates an instance of a `Anything` record class.

- ## Method Details

  - ### serialize

    public static <T extends com.io7m.cedarbridge.runtime.api.CBSerializableType> void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, CAI1ComparisonSet.Anything<T> $x, com.io7m.cedarbridge.runtime.api.CBSerializeType<T> $serializeT) throws IOException
    Serialize a value of type com.io7m.cardant.protocol.inventory.cb.Anything.
    Type Parameters:
      `T` - The type of one or more serialized fields.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
      `$serializeT` - A serializer for values of type T.
    Throws:
      `IOException`

  - ### deserialize

    public static <T extends com.io7m.cedarbridge.runtime.api.CBSerializableType> CAI1ComparisonSet.Anything<T> deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, com.io7m.cedarbridge.runtime.api.CBDeserializeType<T> $deserializeT) throws IOException
    Deserialize a value of type com.io7m.cardant.protocol.inventory.cb.Anything.
    Type Parameters:
      `T` - The type of one or more deserialized fields.
    Parameters:
      `$context` - The serialization context.
      `$deserializeT` - A deserializer for values of type T.
    Returns:
      A value of type com.io7m.cardant.protocol.inventory.cb.Anything.
    Throws:
      `IOException`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.